package cz.literak.blog.j2ee;

import javax.ejb.Remote;

/**
 * Remote interface so we can call implementation remotely using JNDI.
 * Date: 14.8.13
 */
@Remote
public interface IOracleTest {

    /**
     * Method that retrieves complex structure from oracle database
     * @throws Exception some problem occured
     */
    public void performGet() throws Exception;

    /**
     * Method that stores complex structure in oracle database
     * @throws Exception oops, some problem
     */
    public void performCall() throws Exception;
}
